org.bouncycastle.math.ec

## Class ECFieldElement.AbstractF2m

- java.lang.Object
- - org.bouncycastle.math.ec.ECFieldElement
  - - org.bouncycastle.math.ec.ECFieldElement.AbstractF2m

- All Implemented Interfaces:
    ECConstants
  Direct Known Subclasses:
    ECFieldElement.F2m, SecT113FieldElement, SecT131FieldElement, SecT163FieldElement, SecT193FieldElement, SecT233FieldElement, SecT239FieldElement, SecT283FieldElement, SecT409FieldElement, SecT571FieldElement
  Enclosing class:
    ECFieldElement

      public abstract static class ECFieldElement.AbstractF2m
      extends ECFieldElement

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bouncycastle.math.ec.ECFieldElement

      `ECFieldElement.AbstractF2m, ECFieldElement.AbstractFp, ECFieldElement.F2m, ECFieldElement.Fp`

  - ### Field Summary

    - ### Fields inherited from interface org.bouncycastle.math.ec.ECConstants

      `EIGHT, FOUR, ONE, THREE, TWO, ZERO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractF2m()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ECFieldElement` | `halfTrace()`
    `boolean` | `hasFastTrace()`
    `int` | `trace()`

    - ### Methods inherited from class org.bouncycastle.math.ec.ECFieldElement

      `add, addOne, bitLength, divide, encodeTo, getEncoded, getEncodedLength, getFieldName, getFieldSize, invert, isOne, isZero, multiply, multiplyMinusProduct, multiplyPlusProduct, negate, sqrt, square, squareMinusProduct, squarePlusProduct, squarePow, subtract, testBitZero, toBigInteger, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractF2m

          public AbstractF2m()

  - ### Method Detail

    - #### halfTrace

          public ECFieldElement halfTrace()

    - #### hasFastTrace

          public boolean hasFastTrace()

    - #### trace

          public int trace()